import { useMemo } from 'react';
import moment from 'moment';
import { isValidDate } from '../utils/date';
export default function useMonths({
  startingMonth,
  numberOfMonths
}) {
  return useMemo(() => {
    const firstMonth = startingMonth && isValidDate(new Date(startingMonth)) ? moment(startingMonth, 'YYYY-MM-DD').toDate() : new Date();
    return {
      firstMonth,
      months: new Array(numberOfMonths)
    };
  }, [numberOfMonths, startingMonth]);
}
//# sourceMappingURL=use-months.js.map